Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQFontManager Class Reference

The TQFontManager class implements font management in TQt/Embedded. More...

`#include <qfontmanager_qws.h>`

List of all member functions.

## Public Members

- TQFontManager ()
- ~TQFontManager ()
- TQDiskFont * get ( const TQFontDef & f )

## Static Public Members

- void initialize ()
- void cleanup ()

## Detailed Description

The TQFontManager class implements font management in TQt/Embedded.

There is one and only one TQFontManager per TQt/Embedded application. The `qt_fontmanager` global variable points to it. It keeps a list of font factories, a cache of rendered fonts and a list of fonts available on disk. TQFontManager is called when a new font needs to be rendered from a Freetype-compatible or BDF font on disk; this only happens if there isn't an appropriate TQPF font already available.

See also TQt/Embedded.

## Member Function Documentation

### TQFontManager::TQFontManager ()

Creates a font manager. This method reads in the font definition file from `INSTALL/lib/fonts/fontdir`, where `INSTALL` is the directory where TQt/Embedded was installed, and creates a list of TQDiskFonts to hold the information in the file. It also constructs any defined font factories.

### TQFontManager::~TQFontManager ()

Destroys the TQFontManager and sets `qt_fontmanager` to 0.

### void TQFontManager::cleanup ()`[static]`

Destroys the font manager

### TQDiskFont * TQFontManager::get ( const TQFontDef & f )

Returns the TQDiskFont that best matches f, based on family, weight, italicity and font size.

### void TQFontManager::initialize ()`[static]`

Creates a new TQFontManager and points `qt_fontmanager` to it

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.